## freecad 0.14.3702+dfsg

=== CMakeLists.txt ===
project(FreeCAD_trunk)
set(FREECAD_VERSION "0.13")

set(PACKAGE_NAME "FreeCAD")
set(PACKAGE_VERSION_MAJOR "0")
set(PACKAGE_VERSION_MINOR "12")
set(PACKAGE_VERSION_PATCH "2237")
set(PACKAGE_VERSION "${PACKAGE_VERSION_MAJOR}.${PACKAGE_VERSION_MINOR}.${PACKAGE_VERSION_PATCH}")
set(PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")

cmake_minimum_required(VERSION 2.6.0 FATAL_ERROR)

# include local  modules
include(AddFileDependencies)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cMake")


if(COMMAND cmake_policy)
     cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

#if(CMAKE_CFG_INTDIR STREQUAL .)
    # No Debug/Release output paths
    set(DEBUG_MAIN_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin)
    set(RELEASE_MAIN_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin)
#else(CMAKE_CFG_INTDIR STREQUAL .)
#   set(DEBUG_MAIN_OUTPUT_PATH ${CMAKE_BINARY_DIR}/src/Main/Debug)
#   set(RELEASE_MAIN_OUTPUT_PATH ${CMAKE_BINARY_DIR}/src/Main/Release)
#endif(CMAKE_CFG_INTDIR STREQUAL .)

if(WIN32)
    set(PLATFORM_CP xcopy /Y /S)
    set(PLATFORM_MK mkdir)
else(WIN32)
    set(PLATFORM_CP cp)
    set(PLATFORM_MK mkdir -p)
endif(WIN32)


# ================================================================================

if ("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang")
    set(CMAKE_COMPILER_IS_CLANGXX TRUE)
endif ("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang")

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANGXX)
    # Needed for salomesmesh
    ENABLE_LANGUAGE(Fortran)

    include(cMake/ConfigureChecks.cmake)
    configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
    add_definitions(-DHAVE_CONFIG_H)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated -Wno-write-strings")
    INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})
    # get linker errors as soon as possible and not at runtime e.g. for modules
    if(UNIX)
    #    SET(CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined")
    endif(UNIX)
endif(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANGXX)


# ================================================================================
# Output directories for install target

if(WIN32)
    SET(CMAKE_INSTALL_PREFIX ${CMAKE_BINARY_DIR}/install CACHE PATH "Installation root directory")
else(WIN32)
    SET(CMAKE_INSTALL_PREFIX "/usr/lib${LIB_SUFFIX}/freecad" CACHE PATH "Installation root directory")
endif(WIN32)

SET(CMAKE_INSTALL_DATADIR data CACHE PATH "Output directory for data and resource files")
SET(CMAKE_INSTALL_INCLUDEDIR include CACHE PATH "Output directory for header files")
SET(CMAKE_INSTALL_DOCDIR doc CACHE PATH "Output directory for documentation and license files")
# Don't set it without manual adaption of LibDir variable in src/App/FreeCADInit.py
SET(CMAKE_INSTALL_LIBDIR lib CACHE PATH "Output directory for libraries")

if(NOT WIN32)
    if(NOT IS_ABSOLUTE ${CMAKE_INSTALL_LIBDIR})
	    SET(CMAKE_INSTALL_LIBDIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
    endif(NOT IS_ABSOLUTE ${CMAKE_INSTALL_LIBDIR})
endif(NOT WIN32)

SET(PYCXX_INCLUDE_DIR
    "${CMAKE_SOURCE_DIR}/src" CACHE PATH
    "Path to the directory containing PyCXX's CXX/Config.hxx include file")
SET(PYCXX_SOURCE_DIR
    "${CMAKE_SOURCE_DIR}/src/CXX" CACHE PATH
    "Path to the directory containing PyCXX's cxxextensions.c source file")

# used as compiler defines
SET(RESOURCEDIR "${CMAKE_INSTALL_DATADIR}")
SET(DOCDIR "${CMAKE_INSTALL_DOCDIR}")

MESSAGE(STATUS "prefix: ${CMAKE_INSTALL_PREFIX}")
MESSAGE(STATUS "datadir: ${CMAKE_INSTALL_DATADIR}")
MESSAGE(STATUS "docdir: ${CMAKE_INSTALL_DOCDIR}")
MESSAGE(STATUS "includedir: ${CMAKE_INSTALL_INCLUDEDIR}")
MESSAGE(STATUS "libdir: ${CMAKE_INSTALL_LIBDIR}")

# ==============================================================================
# == Win32 is default behaviour use the LibPack copied in Source tree ==========
if(MSVC)
    OPTION(FREECAD_RELEASE_PDB "Create PDB file for Release version." OFF)
    OPTION(FREECAD_LIBPACK_USE "Use the LibPack to Build FreeCAD (only Win32 so far)." ON)
    OPTION(FREECAD_LIBPACK_USEPYSIDE "Use PySide in LibPack rather to PyQt and Swig." ON)
    set(FREECAD_LIBPACK_DIR ${CMAKE_SOURCE_DIR} CACHE PATH  "Directory of the FreeCAD LibPack")
else(MSVC)
    OPTION(FREECAD_LIBPACK_USE "Use the LibPack to Build FreeCAD (only Win32 so far)." OFF)
    set(FREECAD_LIBPACK_DIR ""  CACHE PATH  "Directory of the FreeCAD LibPack")
endif(MSVC)

# ==============================================================================
# == All the options for the build process    ============

OPTION(FREECAD_BUILD_GUI "Build FreeCAD Gui. Otherwise you have only the command line and the Python import module." ON)
OPTION(FREECAD_MAINTAINERS_BUILD "Build FreeCAD for Maintainers, with Docu and 3rd party libs. On Windows the Installer is build." OFF)
OPTION(FREECAD_USE_EXTERNAL_ZIPIOS "Use system installed zipios++ instead of the bundled." OFF)
OPTION(FREECAD_USE_EXTERNAL_PIVY "Use system installed python-pivy instead of the bundled." OFF)
OPTION(FREECAD_BUILD_DEBIAN "Prepare for a build of a Debian package" OFF)

OPTION(FREECAD_BUILD_CAM "Build the FreeCAD CAM module and the needed libs, be aware, unfinished code!" OFF)
OPTION(FREECAD_BUILD_FEM "Build the FreeCAD FEM module, be aware, unfinished code!" ON)
OPTION(FREECAD_BUILD_SANDBOX "Build the FreeCAD Sandbox module which is only for testing purposes" OFF)
OPTION(FREECAD_BUILD_TEMPLATE "Build the FreeCAD template module which is only for testing purposes" OFF)
OPTION(FREECAD_BUILD_ARCH "Build the FreeCAD Architecture module" ON)
OPTION(FREECAD_BUILD_ASSEMBLY "Build the FreeCAD Assembly module" ON)
OPTION(FREECAD_BUILD_COMPLETE "Build the FreeCAD complete module" ON)
OPTION(FREECAD_BUILD_DRAFT "Build the FreeCAD draft module" ON)
OPTION(FREECAD_BUILD_DRAWING "Build the FreeCAD drawing module" ON)
OPTION(FREECAD_BUILD_IDF "Build the FreeCAD idf module" ON)
OPTION(FREECAD_BUILD_IMAGE "Build the FreeCAD image module" ON)
OPTION(FREECAD_BUILD_IMPORT "Build the FreeCAD import module" ON)
OPTION(FREECAD_BUILD_INSPECTION "Build the FreeCAD inspection module" ON)
OPTION(FREECAD_BUILD_JTREADER "Build the FreeCAD jt reader module" OFF)
OPTION(FREECAD_BUILD_MATERIAL "Build the FreeCAD material module" ON)
OPTION(FREECAD_BUILD_MESH "Build the FreeCAD mesh module" ON)
OPTION(FREECAD_BUILD_MESH_PART "Build the FreeCAD mesh part module" ON)
OPTION(FREECAD_BUILD_OPENSCAD "Build the FreeCAD openscad module" ON)
OPTION(FREECAD_BUILD_PART "Build the FreeCAD part module" ON)
OPTION(FREECAD_BUILD_PART_DESIGN "Build the FreeCAD part design module" ON)
OPTION(FREECAD_BUILD_PLOT "Build the FreeCAD plot module" ON)
OPTION(FREECAD_BUILD_POINTS "Build the FreeCAD points module" ON)
OPTION(FREECAD_BUILD_RAYTRACING "Build the FreeCAD ray tracing module" ON)
OPTION(FREECAD_BUILD_REVERSEENGINEERING "Build the FreeCAD reverse engineering module" ON)
OPTION(FREECAD_BUILD_ROBOT "Build the FreeCAD robot module" ON)
OPTION(FREECAD_BUILD_SHIP "Build the FreeCAD ship module" ON)
OPTION(FREECAD_BUILD_SKETCHER "Build the FreeCAD sketcher module" ON)
OPTION(FREECAD_BUILD_SPREADSHEET "Build the FreeCAD spreadsheet module" ON)
OPTION(FREECAD_BUILD_START "Build the FreeCAD start module" ON)
OPTION(FREECAD_BUILD_TEST "Build the FreeCAD test module" ON)
OPTION(FREECAD_BUILD_WEB "Build the FreeCAD web module" ON)

if(MSVC)
OPTION(FREECAD_USE_3DCONNEXION "Use the 3D connexion SDK to support 3d mouse." ON)
OPTION(FREECAD_USE_FREETYPE "Builds the features using FreeType libs" OFF)
OPTION(FREECAD_BUILD_FEM_NETGEN "Build the FreeCAD FEM module with the NETGEN mesher" ON)
else(MSVC)
set(FREECAD_USE_3DCONNEXION OFF)
OPTION(FREECAD_USE_FREETYPE "Builds the features using FreeType libs" ON)
OPTION(FREECAD_BUILD_FEM_NETGEN "Build the FreeCAD FEM module with the NETGEN mesher" OFF)
endif(MSVC)

# if this is set override some options
if (FREECAD_BUILD_DEBIAN)
    set(FREECAD_USE_EXTERNAL_ZIPIOS ON)
    set(FREECAD_USE_EXTERNAL_PIVY ON)
endif (FREECAD_BUILD_DEBIAN)

# ==============================================================================
#inter-module dependencies

#took these from Mod/Complete/App/AppComplete.cpp. appears to be working.
if(FREECAD_BUILD_COMPLETE)
  set(FREECAD_BUILD_MESH ON)
  set(FREECAD_BUILD_POINTS ON)
  set(FREECAD_BUILD_DRAWING ON)
  set(FREECAD_BUILD_RAYTRACING ON)
  set(FREECAD_BUILD_PART_DESIGN ON)
  set(FREECAD_BUILD_IMAGE ON)
  set(FREECAD_BUILD_DRAFT ON)
endif(FREECAD_BUILD_COMPLETE)

#inferred from .py files. appears to be working.
if(FREECAD_BUILD_ARCH)
  set(FREECAD_BUILD_PART ON)
  set(FREECAD_BUILD_MESH ON)
  set(FREECAD_BUILD_DRAFT ON)
endif(FREECAD_BUILD_ARCH)

#inferred from .py files. appears to be working.
if(FREECAD_BUILD_OPENSCAD)
  set(FREECAD_BUILD_MESH_PART ON)
  set(FREECAD_BUILD_DRAFT ON)
endif(FREECAD_BUILD_OPENSCAD)

#inferred from cmakelists.txt. appears to be working.
if(FREECAD_BUILD_INSPECTION)
  set(FREECAD_BUILD_MESH ON)
  set(FREECAD_BUILD_POINTS ON)
  set(FREECAD_BUILD_PART ON)
endif(FREECAD_BUILD_INSPECTION)

#inferred from .py files. appears to be working.
if(FREECAD_BUILD_SHIP)
  set(FREECAD_BUILD_PART ON)
  set(FREECAD_BUILD_PLOT ON)
  set(FREECAD_BUILD_IMAGE ON)
endif(FREECAD_BUILD_SHIP)

#inferred from .py files. appears to be working.
if(FREECAD_BUILD_SPREADSHEET)
  set(FREECAD_BUILD_DRAFT ON)
endif(FREECAD_BUILD_SPREADSHEET)

#this has been tested. appears to be working.
if(FREECAD_BUILD_DRAFT)
  set(FREECAD_BUILD_SKETCHER ON)
endif(FREECAD_BUILD_DRAFT)

#inferred from cmakelists.txt. appears to be working.
if(FREECAD_BUILD_PART_DESIGN)
  set(FREECAD_BUILD_SKETCHER ON)
endif(FREECAD_BUILD_PART_DESIGN)

#inferred from cmakelists.txt. appears to be working.
if(FREECAD_BUILD_REVERSEENGINEERING)
  set(FREECAD_BUILD_PART ON)
  set(FREECAD_BUILD_MESH ON)
endif(FREECAD_BUILD_REVERSEENGINEERING)

#inferred from cmakelists.txt. appears to be working.
if(FREECAD_BUILD_MESH_PART)
  set(FREECAD_BUILD_PART ON)
  set(FREECAD_BUILD_MESH ON)
  set(FREECAD_BUILD_SMESH ON)
endif(FREECAD_BUILD_MESH_PART)

#inferred from cmakelists.txt. build errors. obsolete?
if(FREECAD_BUILD_CAM)
  set(FREECAD_BUILD_PART ON)
  set(FREECAD_BUILD_MESH ON)
endif(FREECAD_BUILD_CAM)

#inferred from cmakelists.txt. appears to be working.
if(FREECAD_BUILD_RAYTRACING)
  set(FREECAD_BUILD_PART ON)
endif(FREECAD_BUILD_RAYTRACING)

#inferred from cmakelists.txt. appears to be working.
if(FREECAD_BUILD_DRAWING)
  set(FREECAD_BUILD_PART ON)
endif(FREECAD_BUILD_DRAWING)

#inferred from cmakelists.txt. appears to be working.
if(FREECAD_BUILD_ROBOT)
  set(FREECAD_BUILD_PART ON)
endif(FREECAD_BUILD_ROBOT)

#inferred from cmakelists.txt. appears to be working.
if(FREECAD_BUILD_SKETCHER)
  set(FREECAD_BUILD_PART ON)
endif(FREECAD_BUILD_SKETCHER)

#inferred from .py files. built, but not sure how to test.
if(FREECAD_BUILD_IDF)
  set(FREECAD_BUILD_PART ON)
endif(FREECAD_BUILD_IDF)

#inferred from cmakelists.txt. built, but not sure how to test.
if(FREECAD_BUILD_IMPORT)
  set(FREECAD_BUILD_PART ON)
endif(FREECAD_BUILD_IMPORT)

#inferred from cmakelists.txt. appears to be working.
if(FREECAD_BUILD_FEM)
  set(FREECAD_BUILD_PART ON)
  set(FREECAD_BUILD_SMESH ON)
endif(FREECAD_BUILD_FEM)

#inferred from cmakelists.txt. appears to be working.
if(FREECAD_BUILD_SANDBOX)
  set(FREECAD_BUILD_PART ON)
  set(FREECAD_BUILD_MESH ON)
endif(FREECAD_BUILD_SANDBOX)

#inferred from header includes. not tested.
if(FREECAD_BUILD_JTREADER)
  set(FREECAD_BUILD_MESH ON)
endif(FREECAD_BUILD_JTREADER)

#leaving test module for someone else.
#image has none. as far as I can tell.
#mesh has none. as far as I can tell.
#part has none. as far as I can tell.
#material has none. as far as I can tell.
#web has none. as far as I can tell.
#start has none. as far as I can tell.
#assembly has none. as far as I can tell.
#plot has none. as far as I can tell.
#points has none. as far as I can tell

# ==============================================================================

if(FREECAD_LIBPACK_USE)
