=== src/3rdParty/CMakeLists.txt ===

if(FREECAD_BUILD_CAM)
    add_subdirectory(ANN)
endif(FREECAD_BUILD_CAM)

if(FREECAD_BUILD_GUI AND NOT FREECAD_USE_EXTERNAL_PIVY)
    if(FREECAD_LIBPACK_CHECKFILE6X)
        add_subdirectory(Pivy)
    elseif(FREECAD_LIBPACK_CHECKFILE7X)
        add_subdirectory(Pivy-0.5)
#elseif(FREECAD_BUILD_GUI AND FREECAD_LIBPACK_CHECKCUSTOM)
#   find_path(COIN_VERSION3 Inventor/scxml/ScXML.h ${COIN3D_INCLUDE_DIR})
#   if (COIN_VERSION3)
#   add_subdirectory(Pivy-0.5)
#   else (COIN_VERSION3)
#   add_subdirectory(Pivy)
#   endif(COIN_VERSION3)
#endif(FREECAD_BUILD_GUI AND FREECAD_LIBPACK_CHECKFILE6X)
#if (MINGW)
#   add_subdirectory(Pivy)
#endif(MINGW)
# applies for Unix, MinGW and Windows with custom LibPack
    else(FREECAD_LIBPACK_CHECKFILE6X)
        find_path(COIN_VERSION3 Inventor/scxml/ScXML.h ${COIN3D_INCLUDE_DIR})
        if (COIN_VERSION3)
        if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/Pivy-0.5)
            add_subdirectory(Pivy-0.5)
        endif (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/Pivy-0.5)
        else (COIN_VERSION3)
        if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/Pivy)
            add_subdirectory(Pivy)
        endif (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/Pivy)
        endif(COIN_VERSION3)
    endif (FREECAD_LIBPACK_CHECKFILE6X)
endif(FREECAD_BUILD_GUI AND NOT FREECAD_USE_EXTERNAL_PIVY)

# Build SalomeMesh for all Platforms since heavily patched
if (FREECAD_BUILD_SMESH)
    add_subdirectory(salomesmesh)
endif(FREECAD_BUILD_SMESH)
