=== debian/changelog ===
freecad (0.14.3702+dfsg-4) unstable; urgency=medium

  [ Anton Gladky ]
  * [7dbbdb6] Set Standards-Version: 3.9.6. No changes.
  * [99c5e82] Apply cme fix dpkg-control.

  [ Martin Pitt ]
  * [91ef5e9] Work around Qt4 not being compatible with boost+gcc5.
              (Closes: #795069)

 -- Anton Gladky <gladk@debian.org>  Wed, 12 Aug 2015 20:34:02 +0200

freecad (0.14.3702+dfsg-3) unstable; urgency=medium

  [ Yorik van Havre ]
  * [9ddbf15] Disable automatic DXF library download. (Closes: #764814)

 -- Anton Gladky <gladk@debian.org>  Fri, 24 Oct 2014 18:59:03 +0200

freecad (0.14.3702+dfsg-2) unstable; urgency=medium

  [ Anton Gladky ]
  * [aafcc31] Remove libswscale-dev from BD. (Closes: #757282)
  * [81d4b6e] Fix installing of som Mods. (Closes: #736273)
  * [1a4492e] Remove deprecated lines from d/copyright. (Closes: #745237)

  [ Alexander ]
  * [efc7d53] Fix compilation with clang. (Closes: #755305)

 -- Anton Gladky <gladk@debian.org>  Sun, 24 Aug 2014 08:12:43 +0200

freecad (0.14.3702+dfsg-1) unstable; urgency=medium

  * [7fc727b] Imported Upstream version 0.14.3702
  * [3edf0de] Refresh patches.
  * [077b63a] Redirect unittest output into stdout. Fixes autopkgtests.

 -- Anton Gladky <gladk@debian.org>  Tue, 22 Jul 2014 20:15:18 +0200

freecad (0.13.3637-dfsg-1) unstable; urgency=medium

  * [ddeee1c] Imported Upstream version 0.13.3637-dfsg
  * [0fe87be] Update/remove patches.
  * [60ad7cc] Update install files, dependencies.
  * [9f9cca3] Add autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Sun, 25 May 2014 19:05:13 +0200
